=== modified file 'add_window.c'
--- add_window.c	2022-10-28 00:29:59 +0000
+++ add_window.c	2022-10-28 00:32:48 +0000
@@ -34,7 +34,9 @@
 #include <X11/extensions/shape.h>
 
 #include "add_window.h"
+#ifdef CAPTIVE
 #include "captive.h"
+#endif
 #include "colormaps.h"
 #include "ctwm_atoms.h"
 #include "functions.h"

=== modified file 'captive.h'
--- captive.h	2016-11-01 19:05:09 +0000
+++ captive.h	2022-10-28 00:32:48 +0000
@@ -5,6 +5,11 @@
 #ifndef _CTWM_CAPTIVE_H
 #define _CTWM_CAPTIVE_H
 
+// Guard to help catch non-ifdef'd references
+#ifndef CAPTIVE
+#error "You're unconditionally including captive.h!"
+#endif
+
 
 typedef struct CaptiveCTWM {
 	Window        root;

=== modified file 'ctwm_main.c'
--- ctwm_main.c	2022-10-28 00:29:59 +0000
+++ ctwm_main.c	2022-10-28 00:32:48 +0000
@@ -53,7 +53,9 @@
 #include "otp.h"
 #include "cursor.h"
 #include "windowbox.h"
+#ifdef CAPTIVE
 #include "captive.h"
+#endif
 #ifdef XRANDR
 #include "xrandr.h"
 #endif

=== modified file 'ctwm_shutdown.c'
--- ctwm_shutdown.c	2022-10-28 00:29:59 +0000
+++ ctwm_shutdown.c	2022-10-28 00:32:48 +0000
@@ -9,7 +9,9 @@
 #include <unistd.h>
 
 #include "animate.h"
+#ifdef CAPTIVE
 #include "captive.h"
+#endif
 #include "colormaps.h"
 #include "ctwm_atoms.h"
 #include "ctwm_shutdown.h"

=== modified file 'event_core.c'
--- event_core.c	2022-10-28 00:29:59 +0000
+++ event_core.c	2022-10-28 00:32:48 +0000
@@ -35,7 +35,9 @@
 #include <X11/extensions/shape.h>
 
 #include "animate.h"
+#ifdef CAPTIVE
 #include "captive.h"
+#endif
 #include "colormaps.h"
 #include "events.h"
 #include "event_handlers.h"

